LINUX.ORG.RU

не получается проапдейтить вайн

 ,


0

1

вайн 3.5 не запускает стим-клиент

при попытке обновления пишет следующее:

sudo apt install –install-recommends winehq-stable Чтение списков пакетов… Готово Построение дерева зависимостей
Чтение информации о состоянии… Готово Некоторые пакеты не могут быть установлены. Возможно, то, что вы просите, неосуществимо, или же вы используете нестабильную версию дистрибутива, где запрошенные вами пакеты ещё не созданы или были удалены из Incoming. Следующая информация, возможно, вам поможет:

Следующие пакеты имеют неудовлетворённые зависимости: winehq-stable : Зависит: wine-stable (= 4.0.2~bionic) E: Невозможно исправить ошибки: у вас зафиксированы сломанные пакеты.

★★★★★

sudo apt-get -f install Чтение списков пакетов… Готово Построение дерева зависимостей
Чтение информации о состоянии… Готово Обновлено 0 пакетов, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 4 пакетов не обновлено.

т.е. apt врёт - нет никаких сломанных пакетов

next_time ★★★★★ ()
Ответ на: комментарий от curufinwe

попытался переустановить

Следующие пакеты имеют неудовлетворённые зависимости: wine-devel-amd64 : Зависит: libc6 (>= 2.27) но 2.23-0ubuntu11 должен быть установлен Зависит: libfaudio0 но он не может быть установлен Зависит: libgphoto2-6 (>= 2.5.10) но 2.5.9-3 должен быть установлен Зависит: libgphoto2-port12 (>= 2.5.10) но 2.5.9-3 должен быть установлен Рекомендует: libcapi20-3 но он не будет установлен Рекомендует: libosmesa6 но он не будет установлен E: Невозможно исправить ошибки: у вас зафиксированы сломанные пакеты.

next_time ★★★★★ ()
Ответ на: комментарий от curufinwe

Но вообще, мне вот это не нравится:

Зависит: libc6 (>= 2.27) но 2.23-0ubuntu11 должен быть установлен

То есть, он хочет обновления libc, но это потянет за собой полсистемы.

next_time ★★★★★ ()
Ответ на: комментарий от next_time

В Стиме нативном ставишь галочку. ОДНУ. И оно тебе без всякого вайна само подтянет нужное, протон, поддержку DX12 и так далее.

И заодно не особо нужно обновлять пол системы. И вайн не нужен.

best_elfo ()
Ответ на: комментарий от best_elfo

В Стиме нативном ставишь галочку. ОДНУ

которую? а, разобрался, в настройках «Включить Steam play для всех других продуктов»

next_time ★★★★★ ()
Последнее исправление: next_time (всего исправлений: 1)
Ответ на: комментарий от next_time

В настройках Steam в разделе Steam Play включи обе галочки.

После этого Steam будет использовать Proton для всех ненативных игр (для нативных тоже можно включить при желании).

Kron4ek ★★★★ ()
Последнее исправление: Kron4ek (всего исправлений: 1)